import type { App } from 'vue'

// 动态加载所有的 component
const modules = import.meta.glob('./**/index.ts', {
  eager: true,
  import: 'default'
})

export default {
  install(app: App) {
    // 循环注册所有组件
    Object.values(modules).forEach((component: any) => {
      component.install(app)
    })
  }
}
