import type { App } from 'vue'
import print from 'vue3-print-nb'
import permission from './permission'

// https://github.com/Power-kxLee/vue-print-nb#vue3-version
export default (app: App) => {
  // 插件对象
  app.use(print)
  // 指令名，指令对象：可以通过 v-指令名 的方式在组件上使用
  app.directive('permission', permission)
}
