import useThemeStore from '@/stores/theme'
import { generateNewStyle, writeNewStyle } from '@/utils/theme'

const keepTheme = async () => {
  const themeStore = useThemeStore()
  const cssText = await generateNewStyle(themeStore.themeColor)
  writeNewStyle(cssText)
}

export default keepTheme
