import useI18n from '@/i18n'

/**
 * 获取国际化后的 title
 * @param title 标题字段名称
 * @returns 国际化后的 title
 */
export const generateTitle = (title: string) => {
  const i18n = useI18n()
  return i18n.global.t(`article.${title}`)
}
