import Layout from '@/layout/layout.vue'

export default {
  path: '/article',
  component: Layout,
  redirect: '/article/ranking',
  name: 'articleCreate',
  meta: { title: 'article', icon: 'article' },
  children: [
    {
      path: '/article/create',
      component: () => import('@/views/article-create/article-create.vue'),
      meta: {
        title: 'articleCreate',
        icon: 'article-create'
      }
    },
    {
      path: '/article/editor/:id',
      component: () => import('@/views/article-create/article-create.vue'),
      meta: {
        title: 'articleEditor'
      }
    }
  ]
}
